image: python:alpine

before_script:
  - pip install --editable .

pylint:
  stage: test
  script:
    - pip install pylint
    - pylint pydtnsim examples

pycodestyle:
  stage: test
  script:
    - pip install pycodestyle
    - pycodestyle pydtnsim examples

pydocstyle:
  stage: test
  script:
    - pip install pydocstyle
    - pydocstyle pydtnsim examples
